"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_jss_1 = require("react-jss");
var useStyles = react_jss_1.createUseStyles({
    highlightedText: {
        position: 'relative',
        textDecoration: 'none',
        color: function (props) { return props.textColor; },
        '&::after': {
            content: "''",
            position: 'absolute',
            zIndex: -1,
            top: '60%',
            left: '-0.1em',
            right: '-0.1em',
            bottom: 0,
            transition: 'top 200ms cubic-bezier(0, .8, .13, 1)',
            backgroundColor: function (props) { return props.textHighlightColor; },
        },
        '&::selection': {
            backgroundColor: function (props) { return props.textHighlightColor; },
        },
        '&::-moz-selection': {
            backgroundColor: function (props) { return props.textHighlightColor; },
        },
        '&:hover': {
            '&::after': {
                content: "''",
                position: 'absolute',
                zIndex: -1,
                top: '0%',
                left: '-0.1em',
                right: '-0.1em',
                bottom: 0,
                transition: 'top 200ms cubic-bezier(0, .8, .13, 1)',
                backgroundColor: function (props) { return props.textHighlightColor; },
            },
        },
    },
});
function HighlightedLink(props) {
    var _a, _b;
    var defaultTextColor = 'inherit';
    var defaultHighlightColor = 'rgba(97, 219, 251, 0.5)';
    var textColor = (_a = props.textColor) !== null && _a !== void 0 ? _a : defaultTextColor;
    var textHighlightColor = (_b = props.highlightColor) !== null && _b !== void 0 ? _b : defaultHighlightColor;
    var classes = useStyles({ textColor: textColor, textHighlightColor: textHighlightColor });
    return (React.createElement("a", { href: props.href, target: "_blank", className: classes.highlightedText }, props.children));
}
exports.default = HighlightedLink;
