"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var processString_1 = require("./processString");
var HighlightedLink_1 = require("../links/HighlightedLink");
var regex_1 = require("./regex");
function ParseUrl(_a) {
    var children = _a.children, effectColor = _a.effectColor;
    var texts = processString_1.default(children);
    return (React.createElement(React.Fragment, null, texts.map(function (text, index) {
        if (text.match(regex_1.urlRegex)) {
            var anchorComponentArray = regex_1.anchorComponentRegex.exec(text);
            var hrefComponentArray = regex_1.hrefComponentRegex.exec(text);
            if (anchorComponentArray && hrefComponentArray) {
                // Retrieves only the entire string (include the brackets) of the first matched.
                var anchorComponent = anchorComponentArray[0].substring(1, anchorComponentArray[0].length - 1);
                var hrefComponent = hrefComponentArray[0].substring(1, hrefComponentArray[0].length - 1);
                return (React.createElement(HighlightedLink_1.default, { key: index, href: hrefComponent, highlightColor: effectColor }, anchorComponent));
            }
        }
        return React.createElement("span", { key: index }, text);
    })));
}
exports.default = ParseUrl;
