"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_dom_1 = require("react-dom");
var test_utils_1 = require("react-dom/test-utils");
var ParseUrl_1 = require("./ParseUrl");
var container;
beforeEach(function () {
    // Setup a DOM element as a render target.
    container = document.createElement('div');
    document.body.appendChild(container);
});
afterEach(function () {
    // Cleanup on exiting.
    react_dom_1.unmountComponentAtNode(container);
    container.remove();
    container = null;
});
it('renders without empty string', function () {
    test_utils_1.act(function () {
        react_dom_1.render(React.createElement(ParseUrl_1.default, null, ''), container);
    });
    expect(container.textContent).toBe('');
});
it('renders with or without links', function () {
    test_utils_1.act(function () {
        react_dom_1.render(React.createElement(ParseUrl_1.default, null, 'Hi, this is React links'), container);
    });
    expect(container.textContent).toBe('Hi, this is React links');
    test_utils_1.act(function () {
        react_dom_1.render(React.createElement(ParseUrl_1.default, null, 'Hi, this is [React](https://reactjs.org/) links'), container);
    });
    expect(container.textContent).toBe('Hi, this is React links');
});
